Products
Reorder product variants
Developer API operation for PATCH /dev/v1/products//variants/order.
PATCH
/
dev
/
v1
/
products
/
{id}
/
variants
/
order
Reorder product variants
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/products/{id}/variants/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variant_ids": [
"variant_1",
"variant_2"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({variant_ids: ['variant_1', 'variant_2']})
};
fetch('https://api.shoppex.io/dev/v1/products/{id}/variants/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/products/{id}/variants/order"
payload = { "variant_ids": ["variant_1", "variant_2"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/products/{id}/variants/order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'variant_ids' => [
'variant_1',
'variant_2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/products/{id}/variants/order"
payload := strings.NewReader("{\n \"variant_ids\": [\n \"variant_1\",\n \"variant_2\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"success": true
}
}Previous
Get product variantDeveloper API operation for GET /dev/v1/products/{id}/variants/{variantId}.
Next
⌘I
Reorder product variants
